<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Resep extends Model
{
    // Ini agar Laravel tahu kolom apa saja yang boleh diisi
    protected $fillable = ['produk_id', 'nama_bahan', 'jumlah', 'satuan'];

    // Relasi balik: Resep ini milik Produk apa?
    public function produk()
    {
        return $this->belongsTo(Produk::class, 'produk_id');
    }
}
